Package org.eclipse.launchbar.core

# Class ProjectPerTargetLaunchConfigProvider

java.lang.Object
org.eclipse.launchbar.core.AbstractLaunchConfigProvider
org.eclipse.launchbar.core.PerTargetLaunchConfigProvider
org.eclipse.launchbar.core.ProjectPerTargetLaunchConfigProvider

All Implemented Interfaces:
  `ILaunchConfigurationProvider`

public abstract class ProjectPerTargetLaunchConfigProvider extends PerTargetLaunchConfigProvider

## Constructor Summary

Constructors
Constructor
Description
`ProjectPerTargetLaunchConfigProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected ILaunchDescriptor`
`getLaunchDescriptor(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`protected void`
`populateLaunchConfiguration(ILaunchDescriptor descriptor, ILaunchTarget target, org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)`
Populate the newly created launch configuration with the target's attributes.
`boolean`
`supports(ILaunchDescriptor descriptor, ILaunchTarget target)`
Does this config provider provide launch configurations for the combination of descriptor and target.

### Methods inherited from class org.eclipse.launchbar.core.PerTargetLaunchConfigProvider

`getLaunchConfiguration, getLaunchTarget, getManager, launchConfigurationAdded, launchConfigurationChanged, launchConfigurationRemoved, launchDescriptorRemoved, launchTargetRemoved, providesForNullTarget`

### Methods inherited from class org.eclipse.launchbar.core.AbstractLaunchConfigProvider

`createLaunchConfiguration, launchDescriptorMatches, ownsLaunchConfiguration, updateLaunchConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.launchbar.core.ILaunchConfigurationProvider

`getLaunchConfigurationType`

## Constructor Details

### ProjectPerTargetLaunchConfigProvider

public ProjectPerTargetLaunchConfigProvider()

## Method Details

### supports

public boolean supports(ILaunchDescriptor descriptor, ILaunchTarget target) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationProvider`
Does this config provider provide launch configurations for the combination of descriptor and target. Note: this is called when filtering targets for a descriptor. Processing should be minimal.

Parameters:
  `descriptor` -
  `target` -
Returns:
  true if target is supported, false otherwise.
Throws:
  `org.eclipse.core.runtime.CoreException`

### populateLaunchConfiguration

protected void populateLaunchConfiguration(ILaunchDescriptor descriptor, ILaunchTarget target, org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy) throws org.eclipse.core.runtime.CoreException
Description copied from class: `AbstractLaunchConfigProvider`
Populate the newly created launch configuration with the target's attributes.

Overrides:
  `populateLaunchConfiguration` in class `AbstractLaunchConfigProvider`
Parameters:
  `descriptor` - the launch descriptor
  `target` - the launch target
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to get the launch configuration type

### getLaunchDescriptor

protected ILaunchDescriptor getLaunchDescriptor(org.eclipse.debug.core.ILaunchConfiguration configuration) throws org.eclipse.core.runtime.CoreException

Specified by:
  `getLaunchDescriptor` in class `PerTargetLaunchConfigProvider`
Throws:
  `org.eclipse.core.runtime.CoreException`